import { defineStore } from "pinia";

export const useRStore = defineStore('Reward Store', {
    state: () => {
        return {
            reward_mean: Array,
            reward_std: Array,
            nr_episodes: 0,
        }
    },
    getters: {
        getMean: (state) => state.reward_mean,
        getStd: (state) => state.reward_std,
        getNrEpisodes: (state) => state.nr_episodes,
    },
    actions: {
        setMean(value) {
            this.reward_mean = value;
        },
        setStd(value) {
            this.reward_std = value;
        },
        setNrEpisodes(value) {
            this.nr_episodes = value;
        },
    }
})
